EDIT - bug #6106

[Discuss] Handle rights and roles for CdmPreferences
09/21/2016 12:04 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.28

Severity: normal Found in Version:

Description

Currently every user can change CdmPreferences.
Do we need a new role "CdmPreferenceAdmin" or should the right be included in Role_Project_Manager?

How, to implement this in the services and in TaxEditor.

Related issues:

Related to EDIT - bug #9051: Role Project manager should not have right to ed... New
Related to EDIT - task #8602: Discuss: Local Preferences & Server-sided Prefe... New
Follows EDIT - feature request #5969: Implement CdmPreference reading for dat... Closed
Copied to EDIT - feature request #9829: Secure writing methods for CdmPrefere... New
History

#1 - 09/21/2016 12:06 PM - Andreas Miiller
- Due date set to 07/11/2016
- Start date changed from 09/21/2016 to 07/11/2016

- Follows feature request #5969: Implement CdmPreference reading for database preferences added

#2 - 10/27/2021 12:03 AM - Andreas Miiller

- Related to bug #9051: Role Project manager should not have right to edit users and creating a new user with missing rights results in two
message-boxes added

#3 - 10/27/2021 12:07 AM - Andreas Mdller

- Related to task #8602: Discuss: Local Preferences & Server-sided Preferences in same menu? added

#4 - 10/27/2021 12:23 AM - Andreas Miiller

- Tags set to security, preferences

- Due date deleted (07/11/2016)

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.28

CDM Preferences are currently only available via the Admin menu which, | think, is only available for admin and Role_Project_Manager.
In #8602#note-5 it has also more or less been decided that DB preferences should be available via Role_Project_Manager. | think this makes sense
and if nobody contradicts | take this as the decision. It was already documented as such add CdmAuthorisationAndAccessControl in context of #8602.

So | think the discussion part of this ticket is done. | open a new ticket for the remaining task to secure the PreferenceService methods accordingly:
#9829

#5 - 10/27/2021 12:24 AM - Andreas Miiller

- Copied to feature request #9829: Secure writing methods for CdmPreferences with role Role_Project Manager added

#6 - 10/27/2021 04:28 PM - Andreas Miiller

- Status changed from Resolved to Closed
